Package org.apache.sling.distribution.journal.messages

## Class OffsetMessage

- java.lang.Object
- - org.apache.sling.distribution.journal.messages.OffsetMessage

    public class OffsetMessage
    extends Object

Synthetic message create by poller to signal the offset when starting from earliest or latest. This allows the user of the poller to process the offset even if there is no message coming in.

### Constructor Summary

Constructors
`OffsetMessage()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OffsetMessage

    public OffsetMessage()